<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stanek](./bitburner.stanek.md) &gt; [getFragment](./bitburner.stanek.getfragment.md)

## Stanek.getFragment() method

Get placed fragment at location.

**Signature:**

```typescript
getFragment(rootX: number, rootY: number): ActiveFragment | undefined;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

rootX


</td><td>

number


</td><td>

X against which to align the top left of the fragment.


</td></tr>
<tr><td>

rootY


</td><td>

number


</td><td>

Y against which to align the top left of the fragment.


</td></tr>
</tbody></table>

**Returns:**

[ActiveFragment](./bitburner.activefragment.md) \| undefined

The fragment at \[rootX, rootY\], if any.

## Remarks

RAM cost: 5 GB

